#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './contactframeinterface.ui'
**
** Created: Mon Dec 4 14:03:23 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "contactframeinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <ksqueezedtextlabel.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ksqueezedtextlabel.h"

/*
 *  Constructs a ContactFrameInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ContactFrameInterface::ContactFrameInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ContactFrameInterface" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)4, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ContactFrameInterfaceLayout = new QVBoxLayout( this, 11, 6, "ContactFrameInterfaceLayout"); 

    statusLayout_ = new QHBoxLayout( 0, 0, 0, "statusLayout_"); 

    statusPixmapLabel_ = new QLabel( this, "statusPixmapLabel_" );
    statusPixmapLabel_->setMinimumSize( QSize( 20, 20 ) );
    statusPixmapLabel_->setMaximumSize( QSize( 20, 20 ) );
    statusPixmapLabel_->setScaledContents( FALSE );
    statusLayout_->addWidget( statusPixmapLabel_ );

    statusLabel_ = new KSqueezedTextLabel( this, "statusLabel_" );
    statusLabel_->setAlignment( int( KSqueezedTextLabel::AlignVCenter | KSqueezedTextLabel::AlignLeft ) );
    statusLayout_->addWidget( statusLabel_ );
    ContactFrameInterfaceLayout->addLayout( statusLayout_ );

    layout27 = new QHBoxLayout( 0, 0, 6, "layout27"); 

    layout25 = new QVBoxLayout( 0, 0, 6, "layout25"); 

    contactPixmapLabel_ = new QLabel( this, "contactPixmapLabel_" );
    contactPixmapLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, contactPixmapLabel_->sizePolicy().hasHeightForWidth() ) );
    contactPixmapLabel_->setMinimumSize( QSize( 32, 32 ) );
    contactPixmapLabel_->setFrameShape( QLabel::Box );
    contactPixmapLabel_->setScaledContents( FALSE );
    contactPixmapLabel_->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout25->addWidget( contactPixmapLabel_ );
    spacer14 = new QSpacerItem( 20, 1, QSizePolicy::Minimum, QSizePolicy::Preferred );
    layout25->addItem( spacer14 );
    layout27->addLayout( layout25 );
    spacer2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout27->addItem( spacer2 );

    layout26 = new QVBoxLayout( 0, 0, 6, "layout26"); 

    profileButton_ = new QPushButton( this, "profileButton_" );
    profileButton_->setMinimumSize( QSize( 50, 50 ) );
    profileButton_->setMaximumSize( QSize( 50, 50 ) );
    layout26->addWidget( profileButton_ );

    emailButton_ = new QPushButton( this, "emailButton_" );
    emailButton_->setMinimumSize( QSize( 50, 50 ) );
    emailButton_->setMaximumSize( QSize( 50, 50 ) );
    layout26->addWidget( emailButton_ );
    layout27->addLayout( layout26 );
    spacer1 = new QSpacerItem( 68, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout27->addItem( spacer1 );
    ContactFrameInterfaceLayout->addLayout( layout27 );

    handleLabel_ = new KSqueezedTextLabel( this, "handleLabel_" );
    ContactFrameInterfaceLayout->addWidget( handleLabel_ );

    messageTimeLabel_ = new QLabel( this, "messageTimeLabel_" );
    messageTimeLabel_->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    ContactFrameInterfaceLayout->addWidget( messageTimeLabel_ );

    line_ = new QFrame( this, "line_" );
    line_->setMinimumSize( QSize( 0, 16 ) );
    line_->setPaletteForegroundColor( QColor( 255, 255, 255 ) );
    line_->setFrameShape( QFrame::HLine );
    line_->setFrameShadow( QFrame::Plain );
    line_->setLineWidth( 3 );
    line_->setFrameShape( QFrame::HLine );
    ContactFrameInterfaceLayout->addWidget( line_ );
    languageChange();
    resize( QSize(145, 228).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ContactFrameInterface::~ContactFrameInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ContactFrameInterface::languageChange()
{
    setCaption( tr2i18n( "ContactFrameInterface" ) );
    statusLabel_->setText( QString::null );
    profileButton_->setText( QString::null );
    QToolTip::add( profileButton_, tr2i18n( "Show this person's profile" ) );
    emailButton_->setText( QString::null );
    QToolTip::add( emailButton_, tr2i18n( "Send this person an email" ) );
    handleLabel_->setText( QString::null );
    messageTimeLabel_->setText( QString::null );
}

#include "contactframeinterface.moc"
