#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './accountswidgetinterface.ui'
**
** Created: Mon Dec 4 14:06:43 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "accountswidgetinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <kpassdlg.h>
#include <kpushbutton.h>
#include <qcheckbox.h>
#include <kurllabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpassdlg.h"
#include "kpushbutton.h"
#include "kurllabel.h"

/*
 *  Constructs a AccountsWidgetInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AccountsWidgetInterface::AccountsWidgetInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AccountsWidgetInterface" );
    AccountsWidgetInterfaceLayout = new QVBoxLayout( this, 11, 6, "AccountsWidgetInterfaceLayout"); 

    friendlyNameLabel_ = new QLabel( this, "friendlyNameLabel_" );
    AccountsWidgetInterfaceLayout->addWidget( friendlyNameLabel_ );

    friendlyNameEdit_ = new QLineEdit( this, "friendlyNameEdit_" );
    AccountsWidgetInterfaceLayout->addWidget( friendlyNameEdit_ );

    handleLabel_ = new QLabel( this, "handleLabel_" );
    AccountsWidgetInterfaceLayout->addWidget( handleLabel_ );

    handleEdit_ = new QLineEdit( this, "handleEdit_" );
    AccountsWidgetInterfaceLayout->addWidget( handleEdit_ );

    passwordLabel_ = new QLabel( this, "passwordLabel_" );
    AccountsWidgetInterfaceLayout->addWidget( passwordLabel_ );

    passwordEdit_ = new KPasswordEdit( this, "passwordEdit_" );
    AccountsWidgetInterfaceLayout->addWidget( passwordEdit_ );

    previewLabel_ = new QLabel( this, "previewLabel_" );
    previewLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, previewLabel_->sizePolicy().hasHeightForWidth() ) );
    previewLabel_->setMinimumSize( QSize( 75, 0 ) );
    AccountsWidgetInterfaceLayout->addWidget( previewLabel_ );

    layout23 = new QHBoxLayout( 0, 0, 6, "layout23"); 

    pictureLabel_ = new QLabel( this, "pictureLabel_" );
    pictureLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pictureLabel_->sizePolicy().hasHeightForWidth() ) );
    pictureLabel_->setMinimumSize( QSize( 96, 96 ) );
    pictureLabel_->setMaximumSize( QSize( 96, 96 ) );
    pictureLabel_->setFrameShape( QLabel::PopupPanel );
    pictureLabel_->setFrameShadow( QLabel::Raised );
    pictureLabel_->setScaledContents( TRUE );
    layout23->addWidget( pictureLabel_ );
    spacer9 = new QSpacerItem( 16, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout23->addItem( spacer9 );

    layout22 = new QVBoxLayout( 0, 0, 6, "layout22"); 
    spacer10 = new QSpacerItem( 20, 62, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout22->addItem( spacer10 );

    browseButton_ = new KPushButton( this, "browseButton_" );
    browseButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, browseButton_->sizePolicy().hasHeightForWidth() ) );
    layout22->addWidget( browseButton_ );
    layout23->addLayout( layout22 );
    spacer12 = new QSpacerItem( 349, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout23->addItem( spacer12 );
    AccountsWidgetInterfaceLayout->addLayout( layout23 );

    noPictureCheckbox_ = new QCheckBox( this, "noPictureCheckbox_" );
    AccountsWidgetInterfaceLayout->addWidget( noPictureCheckbox_ );

    rememberCheckbox_ = new QCheckBox( this, "rememberCheckbox_" );
    AccountsWidgetInterfaceLayout->addWidget( rememberCheckbox_ );

    autologinCheckBox_ = new QCheckBox( this, "autologinCheckBox_" );
    AccountsWidgetInterfaceLayout->addWidget( autologinCheckBox_ );

    startInvisibleCheckBox_ = new QCheckBox( this, "startInvisibleCheckBox_" );
    AccountsWidgetInterfaceLayout->addWidget( startInvisibleCheckBox_ );
    spacer17 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AccountsWidgetInterfaceLayout->addItem( spacer17 );

    registerLayout_ = new QHBoxLayout( 0, 0, 6, "registerLayout_"); 

    registerLabel_ = new QLabel( this, "registerLabel_" );
    registerLabel_->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    registerLayout_->addWidget( registerLabel_ );

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 
    spacer3 = new QSpacerItem( 20, 0, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout8->addItem( spacer3 );

    registerButton_ = new KURLLabel( this, "registerButton_" );
    registerButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, registerButton_->sizePolicy().hasHeightForWidth() ) );
    registerButton_->setFocusPolicy( KURLLabel::NoFocus );
    registerButton_->setAlignment( int( KURLLabel::AlignBottom ) );
    registerButton_->setProperty( "floatEnabled", QVariant( TRUE, 0 ) );
    registerButton_->setUseTips( TRUE );
    layout8->addWidget( registerButton_ );
    registerLayout_->addLayout( layout8 );
    AccountsWidgetInterfaceLayout->addLayout( registerLayout_ );
    languageChange();
    resize( QSize(598, 501).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( browseButton_, SIGNAL( clicked() ), this, SLOT( selectImage() ) );
    connect( noPictureCheckbox_, SIGNAL( toggled(bool) ), this, SLOT( showImageToggled(bool) ) );
    connect( registerButton_, SIGNAL( leftClickedURL() ), this, SLOT( showRegisterPassport() ) );
    connect( rememberCheckbox_, SIGNAL( toggled(bool) ), this, SLOT( rememberMeToggled(bool) ) );

    // tab order
    setTabOrder( friendlyNameEdit_, handleEdit_ );
    setTabOrder( handleEdit_, passwordEdit_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AccountsWidgetInterface::~AccountsWidgetInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AccountsWidgetInterface::languageChange()
{
    setCaption( tr2i18n( "Accounts" ) );
    friendlyNameLabel_->setText( tr2i18n( "Your friendly name:" ) );
    QWhatsThis::add( friendlyNameLabel_, tr2i18n( "Enter the name other contacts should see when you're online." ) );
    handleLabel_->setText( tr2i18n( "Your email address:" ) );
    QWhatsThis::add( handleLabel_, tr2i18n( "Enter the e-mail address of your MSN Passport account. You can register a new account at http://register.passport.com/" ) );
    passwordLabel_->setText( tr2i18n( "Your password:" ) );
    QWhatsThis::add( passwordLabel_, tr2i18n( "Enter the password of your MSN Passport account. You can register a new account at http://register.passport.com/" ) );
    previewLabel_->setText( tr2i18n( "Display picture:" ) );
    browseButton_->setText( tr2i18n( "&Browse..." ) );
    browseButton_->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    noPictureCheckbox_->setText( tr2i18n( "Don't show a display picture" ) );
    noPictureCheckbox_->setAccel( QKeySequence( QString::null ) );
    rememberCheckbox_->setText( tr2i18n( "Remember the settings of this account" ) );
    QWhatsThis::add( rememberCheckbox_, tr2i18n( "The option \"Remember this profile\" was left unchecked while logging in, so your settings won't be saved by default. Enable this option when you want to save your account settings permanently at this system.\n"
"\n"
"It's recommended to enable this option unless you're using KMess as guest or you're using a public system (e.g. Internet cafe)." ) );
    autologinCheckBox_->setText( tr2i18n( "&Login with this account automatically at start-&up" ) );
    autologinCheckBox_->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( autologinCheckBox_, tr2i18n( "If enabled, KMess automatically logs in with this account." ) );
    startInvisibleCheckBox_->setText( tr2i18n( "Start in \"Invisi&ble\" mode" ) );
    startInvisibleCheckBox_->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( startInvisibleCheckBox_, tr2i18n( "If enabled, you will appear as invisible each time you login." ) );
    registerLabel_->setText( tr2i18n( "To connect to the MSN Messenger service, you will need to register an e-mail address as Passport account." ) );
    QWhatsThis::add( registerLabel_, tr2i18n( "You need a passport account to connect to the MSN Messenger network. You can register your current e-mail address at register.passport.com or use a Hotmail account to connect." ) );
    registerButton_->setText( tr2i18n( "Register new account" ) );
    registerButton_->setProperty( "url", tr2i18n( "http://register.passport.com/" ) );
    registerButton_->setTipText( tr2i18n( "Go to register.passport.com" ) );
}

void AccountsWidgetInterface::showRegisterPassport()
{
    qWarning( "AccountsWidgetInterface::showRegisterPassport(): Not implemented yet" );
}

void AccountsWidgetInterface::showImageToggled(bool)
{
    qWarning( "AccountsWidgetInterface::showImageToggled(bool): Not implemented yet" );
}

void AccountsWidgetInterface::selectImage()
{
    qWarning( "AccountsWidgetInterface::selectImage(): Not implemented yet" );
}

void AccountsWidgetInterface::rememberMeToggled(bool)
{
    qWarning( "AccountsWidgetInterface::rememberMeToggled(bool): Not implemented yet" );
}

#include "accountswidgetinterface.moc"
