#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './chatviewinterface.ui'
**
** Created: Mon Dec 4 14:03:19 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "chatviewinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qsplitter.h>
#include <qtextedit.h>
#include <qframe.h>
#include <qtoolbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ChatViewInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ChatViewInterface::ChatViewInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ChatViewInterface" );
    ChatViewInterfaceLayout = new QGridLayout( this, 1, 1, 0, 0, "ChatViewInterfaceLayout"); 

    splitter3 = new QSplitter( this, "splitter3" );
    splitter3->setOrientation( QSplitter::Horizontal );
    splitter3->setOpaqueResize( TRUE );

    QWidget* privateLayoutWidget = new QWidget( splitter3, "layout8" );
    layout8 = new QGridLayout( privateLayoutWidget, 1, 1, 11, 6, "layout8"); 

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    messageEdit_ = new QTextEdit( privateLayoutWidget, "messageEdit_" );
    messageEdit_->setMaximumSize( QSize( 32767, 80 ) );

    layout3->addMultiCellWidget( messageEdit_, 0, 1, 0, 0 );

    sendButton_ = new QPushButton( privateLayoutWidget, "sendButton_" );
    sendButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sendButton_->sizePolicy().hasHeightForWidth() ) );
    sendButton_->setMinimumSize( QSize( 70, 20 ) );

    layout3->addWidget( sendButton_, 0, 1 );

    newLineButton_ = new QPushButton( privateLayoutWidget, "newLineButton_" );
    newLineButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, newLineButton_->sizePolicy().hasHeightForWidth() ) );
    newLineButton_->setMinimumSize( QSize( 70, 20 ) );

    layout3->addWidget( newLineButton_, 1, 1 );

    layout8->addLayout( layout3, 1, 0 );

    khtmlPlaceholder_ = new QFrame( privateLayoutWidget, "khtmlPlaceholder_" );
    khtmlPlaceholder_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, khtmlPlaceholder_->sizePolicy().hasHeightForWidth() ) );
    khtmlPlaceholder_->setFrameShape( QFrame::StyledPanel );
    khtmlPlaceholder_->setFrameShadow( QFrame::Sunken );
    khtmlPlaceholder_->setMargin( 0 );

    layout8->addWidget( khtmlPlaceholder_, 0, 0 );

    sidebar_ = new QToolBox( splitter3, "sidebar_" );
    sidebar_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, sidebar_->sizePolicy().hasHeightForWidth() ) );
    sidebar_->setMinimumSize( QSize( 160, 0 ) );
    sidebar_->setPaletteBackgroundColor( QColor( 255, 255, 255 ) );
    sidebar_->setCurrentIndex( 0 );

    contactSidebar_ = new QWidget( sidebar_, "contactSidebar_" );
    contactSidebar_->setBackgroundMode( QWidget::PaletteBackground );
    sidebar_->addItem( contactSidebar_, QString::fromLatin1("") );

    ChatViewInterfaceLayout->addWidget( splitter3, 0, 0 );
    languageChange();
    resize( QSize(540, 492).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( sendButton_, SIGNAL( pressed() ), this, SLOT( sendClicked() ) );
    connect( newLineButton_, SIGNAL( pressed() ), this, SLOT( newLineClicked() ) );
    connect( messageEdit_, SIGNAL( textChanged() ), this, SLOT( messageTextChanged() ) );
    connect( messageEdit_, SIGNAL( returnPressed() ), this, SLOT( enterPressed() ) );

    // tab order
    setTabOrder( messageEdit_, sendButton_ );
    setTabOrder( sendButton_, newLineButton_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChatViewInterface::~ChatViewInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChatViewInterface::languageChange()
{
    setCaption( tr2i18n( "ChatViewInterface" ) );
    sendButton_->setText( tr2i18n( "Sen&d" ) );
    sendButton_->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    newLineButton_->setText( tr2i18n( "New Line" ) );
    newLineButton_->setAccel( QKeySequence( tr2i18n( "Ctrl+Return" ) ) );
    sidebar_->setItemLabel( sidebar_->indexOf(contactSidebar_), tr2i18n( "Contacts" ) );
}

void ChatViewInterface::enterPressed()
{
    qWarning( "ChatViewInterface::enterPressed(): Not implemented yet" );
}

void ChatViewInterface::sendClicked()
{
    qWarning( "ChatViewInterface::sendClicked(): Not implemented yet" );
}

void ChatViewInterface::newLineClicked()
{
    qWarning( "ChatViewInterface::newLineClicked(): Not implemented yet" );
}

void ChatViewInterface::messageTextChanged()
{
    qWarning( "ChatViewInterface::messageTextChanged(): Not implemented yet" );
}

void ChatViewInterface::urlClicked(const QString&)
{
    qWarning( "ChatViewInterface::urlClicked(const QString&): Not implemented yet" );
}

#include "chatviewinterface.moc"
