#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './emailwidget.ui'
**
** Created: Mon Dec 4 14:06:51 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "emailwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a EmailWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EmailWidget::EmailWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EmailWidget" );
    EmailWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "EmailWidgetLayout"); 

    layout42 = new QVBoxLayout( 0, 0, 6, "layout42"); 

    clientButtonGroup_ = new QButtonGroup( this, "clientButtonGroup_" );
    clientButtonGroup_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, clientButtonGroup_->sizePolicy().hasHeightForWidth() ) );
    clientButtonGroup_->setMargin( 6 );
    clientButtonGroup_->setExclusive( TRUE );
    clientButtonGroup_->setColumnLayout(0, Qt::Vertical );
    clientButtonGroup_->layout()->setSpacing( 6 );
    clientButtonGroup_->layout()->setMargin( 11 );
    clientButtonGroup_Layout = new QVBoxLayout( clientButtonGroup_->layout() );
    clientButtonGroup_Layout->setAlignment( Qt::AlignTop );

    useHotmailRadioButton_ = new QRadioButton( clientButtonGroup_, "useHotmailRadioButton_" );
    clientButtonGroup_Layout->addWidget( useHotmailRadioButton_ );

    useCommandRadioButton_ = new QRadioButton( clientButtonGroup_, "useCommandRadioButton_" );
    clientButtonGroup_Layout->addWidget( useCommandRadioButton_ );

    layout40 = new QHBoxLayout( 0, 0, 6, "layout40"); 
    spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout40->addItem( spacer1 );

    emailCommandEdit_ = new QLineEdit( clientButtonGroup_, "emailCommandEdit_" );
    layout40->addWidget( emailCommandEdit_ );
    clientButtonGroup_Layout->addLayout( layout40 );
    layout42->addWidget( clientButtonGroup_ );

    notificationButtonGroup_ = new QButtonGroup( this, "notificationButtonGroup_" );
    notificationButtonGroup_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, notificationButtonGroup_->sizePolicy().hasHeightForWidth() ) );
    notificationButtonGroup_->setMargin( 6 );
    notificationButtonGroup_->setExclusive( FALSE );
    notificationButtonGroup_->setColumnLayout(0, Qt::Vertical );
    notificationButtonGroup_->layout()->setSpacing( 6 );
    notificationButtonGroup_->layout()->setMargin( 11 );
    notificationButtonGroup_Layout = new QVBoxLayout( notificationButtonGroup_->layout() );
    notificationButtonGroup_Layout->setAlignment( Qt::AlignTop );

    showEmailInfoCheckBox_ = new QCheckBox( notificationButtonGroup_, "showEmailInfoCheckBox_" );
    notificationButtonGroup_Layout->addWidget( showEmailInfoCheckBox_ );

    showOtherFoldersCheckBox_ = new QCheckBox( notificationButtonGroup_, "showOtherFoldersCheckBox_" );
    notificationButtonGroup_Layout->addWidget( showOtherFoldersCheckBox_ );
    layout42->addWidget( notificationButtonGroup_ );
    spacer26 = new QSpacerItem( 20, 111, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    layout42->addItem( spacer26 );

    EmailWidgetLayout->addLayout( layout42, 0, 0 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( useHotmailRadioButton_, useCommandRadioButton_ );
    setTabOrder( useCommandRadioButton_, emailCommandEdit_ );
    setTabOrder( emailCommandEdit_, showEmailInfoCheckBox_ );
    setTabOrder( showEmailInfoCheckBox_, showOtherFoldersCheckBox_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EmailWidget::~EmailWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EmailWidget::languageChange()
{
    setCaption( tr2i18n( "EmailWidget" ) );
    clientButtonGroup_->setTitle( tr2i18n( "Mail Client" ) );
    QWhatsThis::add( clientButtonGroup_, tr2i18n( "Allows you to choose which e-mail program KMess should open to view e-mail messages." ) );
    useHotmailRadioButton_->setText( tr2i18n( "Use Hotmail" ) );
    useCommandRadioButton_->setText( tr2i18n( "Use a specified command:" ) );
    notificationButtonGroup_->setTitle( tr2i18n( "Email Notification" ) );
    showEmailInfoCheckBox_->setText( tr2i18n( "Show email information" ) );
    QWhatsThis::add( showEmailInfoCheckBox_, tr2i18n( "If enabled, a popup is shown when e-mail is received in your inbox. The number of unread e-mail messages is shown above the contact list. This option is only available for Hotmail accounts." ) );
    showOtherFoldersCheckBox_->setText( tr2i18n( "Show a notification when email is received in \"other folders\"" ) );
    QWhatsThis::add( showOtherFoldersCheckBox_, tr2i18n( "If enabled, a popup message also appears when e-mail is received in other folders. This option is only available for Hotmail accounts." ) );
}

#include "emailwidget.moc"
