#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './emoticonwidgetinterface.ui'
**
** Created: Mon Dec 4 14:07:07 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "emoticonwidgetinterface.h"

#include <qvariant.h>
#include <qlabel.h>
#include <klistbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistbox.h"

/*
 *  Constructs a EmoticonWidgetInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EmoticonWidgetInterface::EmoticonWidgetInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EmoticonWidgetInterface" );
    EmoticonWidgetInterfaceLayout = new QVBoxLayout( this, 11, 6, "EmoticonWidgetInterfaceLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    EmoticonWidgetInterfaceLayout->addWidget( textLabel1 );

    emoticonList_ = new KListBox( this, "emoticonList_" );
    emoticonList_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, emoticonList_->sizePolicy().hasHeightForWidth() ) );
    EmoticonWidgetInterfaceLayout->addWidget( emoticonList_ );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    installButton_ = new QPushButton( this, "installButton_" );
    layout1->addWidget( installButton_ );
    spacer1 = new QSpacerItem( 131, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );
    EmoticonWidgetInterfaceLayout->addLayout( layout1 );
    spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Preferred );
    EmoticonWidgetInterfaceLayout->addItem( spacer2 );
    languageChange();
    resize( QSize(458, 452).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( installButton_, SIGNAL( clicked() ), this, SLOT( slotInstallEmoticons() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EmoticonWidgetInterface::~EmoticonWidgetInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EmoticonWidgetInterface::languageChange()
{
    setCaption( tr2i18n( "EmoticonWidgetInterface" ) );
    textLabel1->setText( tr2i18n( "Emoticon style:" ) );
    installButton_->setText( tr2i18n( "&Install new..." ) );
}

void EmoticonWidgetInterface::slotInstallEmoticons()
{
    qWarning( "EmoticonWidgetInterface::slotInstallEmoticons(): Not implemented yet" );
}

#include "emoticonwidgetinterface.moc"
